Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Enum cmdReceipt.BarcodeType

java.lang.Object
java.lang.Enum<cmdReceipt.BarcodeType>
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.BarcodeType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdReceipt.BarcodeType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdReceipt

    public static enum cmdReceipt.BarcodeType
    extends java.lang.Enum<cmdReceipt.BarcodeType>

Printing of barcode '1' - EAN8 barcode. {Data} must contain only 8 digits; '2' - EAN13 barcode. {Data} must contain only 13 digits; '3' - Code128 barcode. {Data} must contain symbols with ASCII codes between 32 and 127. {Data} length is between 3 and 31 symbols; '4' - QR code. {Data} must contain symbols with ASCII codes between 32 and 127. {Data} length is between 3 and 279 symbols;

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `Code128` |
  `DataMatrix` |
  `EAN13` |
  `EAN8` |
  `ITF1` |
  `ITF2` |
  `PDF417` |
  `QRcode` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdReceipt.BarcodeType` | `fromOrdinal​(int n)` |
  `java.lang.String` | `getId()` |
  `static cmdReceipt.BarcodeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdReceipt.BarcodeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EAN8

    public static final cmdReceipt.BarcodeType EAN8

  - ### EAN13

    public static final cmdReceipt.BarcodeType EAN13

  - ### Code128

    public static final cmdReceipt.BarcodeType Code128

  - ### ITF1

    public static final cmdReceipt.BarcodeType ITF1

  - ### ITF2

    public static final cmdReceipt.BarcodeType ITF2

  - ### DataMatrix

    public static final cmdReceipt.BarcodeType DataMatrix

  - ### QRcode

    public static final cmdReceipt.BarcodeType QRcode

  - ### PDF417

    public static final cmdReceipt.BarcodeType PDF417

- ## Method Details

  - ### values

    public static cmdReceipt.BarcodeType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdReceipt.BarcodeType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public java.lang.String getId()

  - ### fromOrdinal

    public static cmdReceipt.BarcodeType fromOrdinal​(int n)